Loading...
Searching...
No Matches
scan.c File Reference
`#include <stdio.h>`
`#include <string.h>`
`#include <grass/datetime.h>`
Include dependency graph for scan.c:

Go to the source code of this file.

## Functions

int | datetime_scan (DateTime *dt, const char *buf)
| Convert the ascii string into a DateTime. This determines the mode/from/to based on the string, inits 'dt' and then sets values in 'dt' based on the [???] Returns 0 if 'string' is legal, -1 if not.

## Function Documentation

## datetime_scan()

int datetime_scan | ( | DateTime * | dt,
|  | const char * | buf )

Convert the ascii string into a DateTime. This determines the mode/from/to based on the string, inits 'dt' and then sets values in 'dt' based on the [???] Returns 0 if 'string' is legal, -1 if not.

Parameters

  dt |
  buf |

Returns
  int

Definition at line 40 of file scan.c.

References datetime_error().

Referenced by G_scan_timestamp().